require "bullet"
require "enemy"
require "player"

function love.load() --Run only at start of game
	enemy:load( 400, 400, 32, 32 )
end

function love.draw() --Run every time game can
	player:draw()
	bullet:draw()
	enemy:draw()
end

function love.update(dt) --Run every time the game can
	bullet:update(dt)
	bullet:collide()
	player:update(dt)
	enemy:update(dt)
end

function love.focus(bool) --Run if mouse goes in or out of window
end

function love.keypressed( key, unicode ) --Run if key is pressed
end

function love.keyreleased( key, unicode ) --Run if key is released
end

function love.mousepressed( x, y, button ) --Run if mouse is pressed
	bullet:shoot( x, y )
end

function love.mousereleased( x, y, button ) --Run if mouse is released
end

function love.quit() --Run right before game is closed
end